<?php
namespace Quizpalme\CamaligaAddon\Tests\Unit\Domain\Model;

/**
 * Test case.
 *
 * @author Kurt Gusbeth <info@quizpalme.de>
 */
class ZusatzTest extends \TYPO3\TestingFramework\Core\Unit\UnitTestCase
{
    /**
     * @var \Quizpalme\CamaligaAddon\Domain\Model\Zusatz
     */
    protected $subject = null;

    protected function setUp()
    {
        parent::setUp();
        $this->subject = new \Quizpalme\CamaligaAddon\Domain\Model\Zusatz();
    }

    protected function tearDown()
    {
        parent::tearDown();
    }

    /**
     * @test
     */
    public function getLokalReturnsInitialValueForString()
    {
        self::assertSame(
            '',
            $this->subject->getLokal()
        );
    }

    /**
     * @test
     */
    public function setLokalForStringSetsLokal()
    {
        $this->subject->setLokal('Conceived at T3CON10');

        self::assertAttributeEquals(
            'Conceived at T3CON10',
            'lokal',
            $this->subject
        );
    }

    /**
     * @test
     */
    public function getSpielortReturnsInitialValueForString()
    {
        self::assertSame(
            '',
            $this->subject->getSpielort()
        );
    }

    /**
     * @test
     */
    public function setSpielortForStringSetsSpielort()
    {
        $this->subject->setSpielort('Conceived at T3CON10');

        self::assertAttributeEquals(
            'Conceived at T3CON10',
            'spielort',
            $this->subject
        );
    }
}
