<?php
namespace Quizpalme\CamaligaAddon\Domain\Model;


/***
 *
 * This file is part of the "Camaliga-Erweiterung" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 *  (c) 2020 Kurt Gusbeth <info@quizpalme.de>
 *
 ***/
/**
 * Zusatz
 */
class Zusatz extends \Quizpalme\Camaliga\Domain\Model\Content
{

    /**
     * Lokal
     * 
     * @var string
     */
    protected $lokal = '';

    /**
     * Spielort
     * 
     * @var string
     */
    protected $spielort = '';

    /**
     * Returns the lokal
     * 
     * @return string $lokal
     */
    public function getLokal()
    {
        return $this->lokal;
    }

    /**
     * Sets the lokal
     * 
     * @param string $lokal
     * @return void
     */
    public function setLokal($lokal)
    {
        $this->lokal = $lokal;
    }

    /**
     * Returns the spielort
     * 
     * @return string $spielort
     */
    public function getSpielort()
    {
        return $this->spielort;
    }

    /**
     * Sets the spielort
     * 
     * @param string $spielort
     * @return void
     */
    public function setSpielort($spielort)
    {
        $this->spielort = $spielort;
    }
}
